import request from '@/utils/request'

// 查询寿命件配置库信息列表
export function listLifePartConfig(query) {
  return request({
    url: '/manage/lifePartConfig/list',
    method: 'get',
    params: query
  })
}

// 查询寿命件配置库信息详细
export function getLifePartConfig(id) {
  return request({
    url: '/manage/lifePartConfig/' + id,
    method: 'get'
  })
}

// 新增寿命件配置库信息
export function addLifePartConfig(data) {
  return request({
    url: '/manage/lifePartConfig',
    method: 'post',
    data: data
  })
}

// 修改寿命件配置库信息
export function updateLifePartConfig(data) {
  return request({
    url: '/manage/lifePartConfig',
    method: 'put',
    data: data
  })
}

// 删除寿命件配置库信息
export function delLifePartConfig(id) {
  return request({
    url: '/manage/lifePartConfig/' + id,
    method: 'delete'
  })
}
